import {PayInAAARowModel} from './Pay.In.AAA.Row.model';

export class FunderAaaTrailModel{
  public Period: Date; // valid only year, and month
  public Rows: PayInAAARowModel[];
  constructor(payload: Partial<FunderAaaTrailModel>) {
     this.Period = new Date(payload.Period);
     this.Rows = [];
     if ( payload.Rows ){
       payload.Rows.forEach( v => {
         this.Rows.push (new PayInAAARowModel(v));
       });
     }
  }
}
